В PHP 5 найдена уязвимость, позволяющая обойти ограничение safe mode

20 июня 2008 года

Wikinews-logo-ru.svg

" PHP 5 'posix_access()' Function 'safe_mode' Bypass Directory Traversal Vulnerability" - в PHP 5 найдена уязвимость, позволяющая обойти ограничение safe_mode (проверить права доступа к файлу) через передачу некорректных параметров в функцию posix_access(). Наличие проблемы подтверждено в PHP 5.2.6.

 

ИсточникиПравить


Эта статья содержит материалы из статьи «В PHP 5 найдена уязвимость, позволяющая обойти ограничение safe_mode», опубликованной OpenNET и распространяющейся на условиях лицензии Creative Commons Attribution (CC BY) — указание автора, источник и лицензию.
Эта статья загружена автоматически ботом NewsBots в архив и ещё не проверялась редакторами Викиновостей.
Любой участник может оформить статью: добавить иллюстрации, викифицировать, заполнить шаблоны и добавить категории.
Любой редактор может снять этот шаблон после оформления и проверки.
 

Комментарии:В PHP 5 найдена уязвимость, позволяющая обойти ограничение safe mode